package cn.wisenergy.common.utils.exception;

/**
 * 响应编码
 */
public enum RESP_CODE_ENUM {
    /* ******************** 业务自定义异常 ********************* */
    RSA_PRIVATE_KEY_ERROR("1001", "生成RSA非对称加密公钥出错"),
    RSA_NOT_EXIST("1002", "RSA非对称加密公钥不存在"),
    RSA_DECRYPTION_ERROR("1003", "RSA解密错误"),
    TOKEN_IS_NOT_EXIST("1004", "TOKEN已失效"),
    REQUIRED_IDENTIFY_NOT_EXIST("1005", "请求标识对象不存在"),
    ILLEGAL_PARAMETER("1006", "非法参数"),
    MISS_PARAMETER("1007", "缺少必须的参数"),
    ACCT_NOT_EXIST("1008", "账号不存在"),
    ACCT_OR_ACCOPASS_ERROR("1009", "账号或密码错误"),
    ACCT_HAS_FROZEN("1010", "账号已禁用"),
    NOT_LOGIN_ERROR("1011", "用户未登录"),
    CAPTCHA_CODE_INVALID("1012", "验证码失效"),
    CAPTCHA_CODE_ERROR("1013", "验证码错误"),
    NO_DATA("1014", "数据为空"),
    CAPTCHA_EXIST("1015", "验证码已发送，请稍等"),
    LOGIN_FAILURE("1016", "登录已失效，请重新登录"),
    PHONE_ERROE("1017", "绑定手机号错误"),
    RECORD_WORD_ADD_FAIL("1018", "字段添加失败"),
    INPUT_PARAM_IS_NULL("1019", "入参为空"),
    CREATE_WORK_ORDER_FAIL("1020", "创建工单失败"),
    QUERY_WORK_ORDER_INFO_FAIL("1021", "获取工单信息失败"),
    QUERY_WORK_ORDER_LISt_FAIL("1021", "获取工单列表失败"),
    AUDIT_WORK_ORDER_FAIL("1022","审核工单失败"),
    QUERY_USER_INFO_FAIL("1023","获取用户信息失败")

    ;


    // 错误编码
    private String code;

    // 错误信息
    private String msg;

    // 相应编码有参构造函数
    RESP_CODE_ENUM(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    /**
     * 获取编码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置编码
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取编码信息
     */
    public String getMsg() {
        return msg;
    }

    /**
     * 设置编码信息
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }
}
